<?php
/**
 * @file
 * ns_blog.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function ns_blog_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function ns_blog_views_api() {
  list($module, $api) = func_get_args();
  if ($module == "views" && $api == "views_default") {
    return array("version" => "3.0");
  }
}

/**
 * Implements hook_image_default_styles().
 */
function ns_blog_image_default_styles() {
  $styles = array();

  // Exported image style: ns_latest_blog_post_header
  $styles['ns_latest_blog_post_header'] = array(
    'name' => 'ns_latest_blog_post_header',
    'effects' => array(
      1 => array(
        'label' => 'Scale and crop',
        'help' => 'Scale and crop will maintain the aspect-ratio of the original image, then crop the larger dimension. This is most useful for creating perfectly square thumbnails without stretching the image.',
        'effect callback' => 'image_scale_and_crop_effect',
        'dimensions callback' => 'image_resize_dimensions',
        'form callback' => 'image_resize_form',
        'summary theme' => 'image_resize_summary',
        'module' => 'image',
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => '35',
          'height' => '35',
        ),
        'weight' => '1',
      ),
    ),
  );

  return $styles;
}

/**
 * Implements hook_node_info().
 */
function ns_blog_node_info() {
  $items = array(
    'ns_blog' => array(
      'name' => t('Blog'),
      'base' => 'node_content',
      'description' => t('Your site can contain as many blogs as you want. Add an image, a description and a contributor (blogger) and then let him/her add blog posts to the blog.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'ns_blog_post' => array(
      'name' => t('Blog post'),
      'base' => 'node_content',
      'description' => t('A contributor (blogger) can add blog posts to the blogs he/she is assigned to. '),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
  );
  return $items;
}
